// import ResponsiveBlocks from './gutenberg/responsive-blocks'
import './gutenberg/responsive-columns'
// import FontStyles from './gutenberg/font-styles'
import './gutenberg/maxwidth-groups'
// import buttonWidth from './gutenberg/buttons-width'
//This file add the custom styles to gutenberg
const { __ } = wp.i18n



wp.domReady( () => {

  //Unregister blocks
  const $unregistred = wp.blocks.unregisterBlockType( 'core/latest-posts' );

	wp.blocks.registerBlockStyle( 'core/button', [ 
		{
			name: 'clean',
			label: 'Clean',
		},
	]);
  
	wp.blocks.registerBlockStyle( 'core/button', [ 
		{
			name: 'icon',
			label: 'Icon',
		},
	]);

		wp.blocks.registerBlockStyle( 'core/button', [ 
		{
			name: 'remove-overlay',
			label: 'Remove Overlay',
		},
	]);

	wp.blocks.registerBlockStyle( 'core/cover', [ 
		{
			name: 'outline',
			label: 'Outline',
		},
	]);
});